<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ContactUsMail extends Mailable
{
    use Queueable, SerializesModels;

    public $fullname;
    public $phone;
    public $email;
    public $message;

    public function __construct($fullname, $phone, $email, $message)
    {
        $this->fullname = $fullname;
        $this->phone = $phone;
        $this->email = $email;
        $this->message = $message;
    }

    public function build()
    {
          return $this->subject('New Contact Us Message')
                ->view('emails.contact_us', [
                    'fullname' => $this->fullname,
                    'phone' => $this->phone,
                    'email' => $this->email,
                    'data' => $this->message,
                ]);
    }
}









?>