<?php

namespace Database\Seeders;

use Illuminate\Support\Str;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class CategorySeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('categories')->truncate();
        $categories = [
            'New Arrivals',
            'Beauty Line',
            'Capsules',
            'Softgel Capsules',
            'Syrups',
            'Drops',
            'Sprays',
            'Tablets',
            'Gummies',
            'Powder',
            'Effervescent',
            'Sachets'
        ];

        foreach ($categories as $category) {
            DB::table('categories')->insert([
                'name' => $category,
                'slug' => Str::slug($category),
                'brand_id' => 1,
                'created_at' => now(),
                'updated_at' => now(),
            ]);
        }
    }
}
